[Unit]
Description=Starts/stops the submit job metrics daemon
After=syslog.target time-sync.target jobmon.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/jobMetrics.py
PIDFile=/var/run/submit/submit-jobmetrics.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITJOBMETRICS
#Environment=JOBMETRICSLOGLEVEL=INFO
#Environment=JOBMETRICSSYSLOGLOCAL=LOCAL3
#Environment=JOBMETRICSSYSLOGIDENTIFIER=SUBMITJOBMETRICS
#Environment=JOBMETRICSPIDFILE=/var/run/submit/submit-jobmetrics.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf

[Install]
WantedBy=multi-user.target

